package com.ruoyi.manage.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.ParameterSet;

/**
 * 通道管理对象 channel_number
 *
 * @author boman
 * @date 2025-05-07
 */
public class ChannelNumberVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 通道ID
     */
    private Long channelId;
    /**
     * 设备Ip
     */
    private String equipmentIp;
    /**
     * 设备ID
     */

    private Long equipmentId;
    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String equipmentNum;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String equipmentName;
    /**
     * 通道编号
     */
    @Excel(name = "通道编号")
    private String channelNum;

    /**
     * 预览端口
     */
    private String port;

    /**
     * 视频地址
     */
    @Excel(name = "视频地址")
    private String videoAddress;
    @Excel(name = "图片地址摄像头")
    private String photoAddress;
    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;

    /**
     * 探测协议类型
     */
    @Excel(name = "探测协议类型")
    private String protocolType;

    /**
     * 通道描述
     */
    @Excel(name = "通道描述")
    private String channelDetails;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;
    /**
     * 是否设置过参数 N Y 不在数据库中
     */
    private String isChannel;

    /**
     * 参数设置
     */
    private ParameterSet parameterSet;

    public String getPhotoAddress() {
        return photoAddress;
    }

    public void setPhotoAddress(String photoAddress) {
        this.photoAddress = photoAddress;
    }

    public String getEquipmentIp() {
        return equipmentIp;
    }

    public void setEquipmentIp(String equipmentIp) {
        this.equipmentIp = equipmentIp;
    }

    public ParameterSet getParameterSet() {
        return parameterSet;
    }

    public void setParameterSet(ParameterSet parameterSet) {
        this.parameterSet = parameterSet;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getIsChannel() {
        return isChannel;
    }

    public void setIsChannel(String isChannel) {
        this.isChannel = isChannel;
    }

    public String getEquipmentNum() {
        return equipmentNum;
    }

    public void setEquipmentNum(String equipmentNum) {
        this.equipmentNum = equipmentNum;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public Long getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(Long equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelNum(String channelNum) {
        this.channelNum = channelNum;
    }

    public String getChannelNum() {
        return channelNum;
    }

    public void setVideoAddress(String videoAddress) {
        this.videoAddress = videoAddress;
    }

    public String getVideoAddress() {
        return videoAddress;
    }

    public void setProtocolType(String protocolType) {
        this.protocolType = protocolType;
    }

    public String getProtocolType() {
        return protocolType;
    }

    public void setChannelDetails(String channelDetails) {
        this.channelDetails = channelDetails;
    }

    public String getChannelDetails() {
        return channelDetails;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return "ChannelNumber{" +
                "channelId=" + channelId +
                ", equipmentIp='" + equipmentIp + '\'' +
                ", equipmentId=" + equipmentId +
                ", equipmentNum='" + equipmentNum + '\'' +
                ", equipmentName='" + equipmentName + '\'' +
                ", channelNum='" + channelNum + '\'' +
                ", port='" + port + '\'' +
                ", videoAddress='" + videoAddress + '\'' +
                ", photoAddress='" + photoAddress + '\'' +
                ", account='" + account + '\'' +
                ", password='" + password + '\'' +
                ", protocolType='" + protocolType + '\'' +
                ", channelDetails='" + channelDetails + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", isChannel='" + isChannel + '\'' +
                ", parameterSet=" + parameterSet +
                '}';
    }
}
